﻿class Swatch extends MovieClip {
	
	private var theDrop;
	private var myColor:Color;
	private var startx:Number;
	private var starty:Number;
	
	public function onLoad() {
		myColor = new Color(this);
		startx = this._x;
		starty = this._y;
	}
	
	public function onMouseDown() {
		if (this.hitTest(_root._xmouse, _root._ymouse, false)) {
			this.startDrag(true, 0, 0, Stage.width, Stage.height);
			trace("dragged "+this);
			this.swapDepths(getNextHighestDepth());
		}
	}
	
	public function onMouseUp() {
		if (this.hitTest(_root._xmouse, _root._ymouse, false)) {
			this.stopDrag();
			theDrop = eval(this._droptarget);
			if (theDrop) {
				trace("dropped "+this+" at "+this._droptarget);
				theDrop.changeColor(myColor.getRGB());
			}
			this._x = startx;
			this._y = starty;
		}
	}

}
	